[PACKAGE]: ../../raw/master/mkp/cisco_cellular_lte-0.0.3-20240615.mkp "cisco_cellular_lte-0.0.3-20240615.mkp"
# Cisco 2G/3G/4G wireless connection

This package contains the two plugins. The check plugin **_cisco_cellular_lte_** and the inventory plugin **_inv_cisco_cellular_lte_**.

<details><summary>cisco_cellular_lte</summary>

This check plugin will monitor 2G/3G/4G wireless modems and there associated connections. By default it will only discover cellular modems with a SIM card/connectin attached. It was tested with the integrated modem of the Cisco ISR1100 series routers and the with a NIM in a Cisco ISR4451. Each modem can have up to two connections at the same time (over one SIM-card). The integrated modems and also newer NIM modules have dual SIM-card capabilities. Dual SIM-Cards can be usesd in a redundancy failover manner. Only one SIM-Card will be active at any given time.


In the service summary the plugin will show

-    the connection status
-    the values for RSSI, RSRP and RSRQ
-    the Bandwith used in/out
-    the wireless band used


and in the deails
-    the associated IP-Addresses (IPv4 and IPv6)
-    the roaming state
-    the current channel
-    the network code
-    the service typoe
-    the provider time
-    modem state and status
-    the APN
-    the configured and the current APN type

</details>
<details><summary>inv_cisco_cellular_lte</summary>

This inventory plugin adds under _Networking_ -> _Cellular (LTE)_:

-    IMEI (International Mobile Equipment Identifier)
-    IMSI (International Mobile Subscriber Identifier)
-    ICCID (Integrated Circuit Card ID)
-    MSISDN (Mobile Subscriber Integrated Services Digital Network Number)
-    FSN (Factory Serial Number)
-    Network code
-    Country
-    APN (Access Point Nam)
-    Service type
-    current band

With the inventory view _Search Cellular (LTE)_ you can filter and report on this data for all your hosts.
</details>

---
### Download

* [Download latest mkp file][PACKAGE]

**Note**: before you update to a newer version, always check the [CHANGELOG](CHANGELOG). There might be incompatible changes.

---                   
### Installation

You can install the package by uploading it to your CheckMK site and as site user run 
```
mkp install PACKAGENAME-VERSION.mkp
```
or beginning with CMK2.2.x
```
mkp add PACKAGENAME-VERSION.mkp
mkp enable PACKAGENAME VERSION
```
In the non RAW editions of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

---
### Want to contribute?

Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---
### Check Info

The plugin creates the service **_Cellular_** for each discovered cellular interface with the **_cellular_interface_name_** as item

<details><summary>Montoring states</summary>

| State | condition | WATO | 
| ------ | ------ | ------ |
| WARN | no SIM card attached to the interface | yes |
| CRIT | connection state not active | yes |
| CRIT | modem state not up | yes |
| CRIT | modem not online | yes |
| WARN | connection is roaming | yes |
| WARN/CRIT | RSSI is below -75dBm/-85dBm | yes |
| WARN/CRIT | RSRP is below -100dBm/-115dBm| yes |
| WARN/CRIT | RSRQ is below -8dB/-15dB | yes |
| WARN | current Band is not as expected | yes |

</details>

<details><summary>Perfdata</summary>

| Metric | Unit | Perfometer |
| ------ | ------ | ------ |
| Input Bandwidth | bit/s | yes |
| Output bandwidt | bit/s | yes |
| RSSI | dBm | no |
| RSRQ | dB | no |
| RSRP | dBm | no |

</details>

---
### WATO
<details><summary>Service monitoring rule</summary>

| Section | Rule name |
| ------ | ------ |
| Networking | Cisco cellular LTE  |

| Option | Defailt value |
| ------ | ------ |
| Lower levels for RSRP | -100dBm/-115dBm |
| Lower levels for RSRQ | -8dB/-15dB |
| Lower levels for RSSI | -75 dBm/-85dBm |
| Expected Band | LTE Band |
| Show the current band as graph | False |
| Monitoring state if current band is not expected band | WARN |
| Monitoring state if the device is roaming | WARN |
| Monitoring state if no SIM card associated | WARN |
| Monitoring state if the device is not connected | WARN |
| Monitoring state if the modem is not up | WARN |
| Monitoring state if the modem is not online | WARN |
| the device is not affected by Cisco Bug ID CSCvt55347 | disabled |

</details> 

<details><summary>Discovery rule</summary>

| Section | Rule name |
| ------ | ------ |
| Discovery of individual services | Cisco cellular LTE  |

| Option | Defailt value |
| ------ | ------ |
| Discover interfaces without associated SIM card | disabled |

</details> 

<details><summary>HW/SW inventory rules</summary>
The inventory plugin is not configurable.
</details> 

---
### Sample Output

Sample output

![sample output](img/sample.png?raw=true "sample output")

Sample output details

![sample output details](img/sample-details.png?raw=true "sample output details")

Sample inventory

![sample inventory](img/sample-inventory.png?raw=true "sample inventory")
